> For the complete documentation index, see [llms.txt](https://docs.wisej.com/ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/ai/components/api/smartadapter/wisej.ai.adapters.smartaudiowhisperadapter.md).

# SmartAudioWhisperAdapter

Namespace: **Wisej.AI.Adapters**

Assembly: **Wisej.AI** (3.5.0.0)

* [SmartAdapter](/ai/components/api/smartadapter.md)
  * [SmartAudioWhisperAdapter](/ai/components/api/smartadapter/wisej.ai.adapters.smartaudiowhisperadapter.md)

Transcribes the audio file of the of the associated [Audio](https://docs.wisej.com/api?q=wisej.web.audio) control to its [Text](https://docs.wisej.com/api?q=wisej.web.control.text) property in the original language of the audio. [speech-to-text](https://platform.openai.com/docs/guides/speech-to-text)

{% tabs %}
{% tab title="C#" %}

```csharp
public class SmartAudioWhisperAdapter : SmartAdapter
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class SmartAudioWhisperAdapter
    Inherits SmartAdapter
```

{% endtab %}
{% endtabs %}

Works with:

* OpenAI Whisper
* GroqCloud Whisper

Set the [SourceURL](https://docs.wisej.com/api?q=wisej.web.media.sourceurl) property of the associated [Audio](https://docs.wisej.com/api?q=wisej.web.audio) control to the audio file that you want to transcribe to text. When [AutoRun](/ai/components/api/smartadapter.md#autorun) is true and the user presses the play button the adapter will automatically start the transcription.\
If [AutoRun](/ai/components/api/smartadapter.md#autorun) is set to false, use [RunAsync](/ai/components/api/smartadapter.md#runasync-control) (where control is the [Audio](https://docs.wisej.com/api?q=wisej.web.audio) control) to start the transcription.\
You can use the [SystemPrompt](/ai/components/api/smartadapter.md#systemprompt) to improve the quality of the transcripts generated by the Whisper model. The model will try to match the style of the prompt, so it will be more likely to use capitalization and punctuation if the prompt does too. For more information [prompting](https://platform.openai.com/docs/guides/speech-to-text).

## Constructors

### ![](/files/ptrKjmmRoQB76pvrIqh0) SmartAudioWhisperAdapter()

Initializes a new instance of [SmartAudioWhisperAdapter](/ai/components/api/smartadapter/wisej.ai.adapters.smartaudiowhisperadapter.md).

## Methods

### ![](/files/KL0Ik37djZRr8a07Wopd) OnControlDisposed(control)

| Parameter   | Type                                                      | Description |
| ----------- | --------------------------------------------------------- | ----------- |
| **control** | [Control](https://docs.wisej.com/api?q=wisej.web.control) |             |

### ![](/files/ptrKjmmRoQB76pvrIqh0) RegisterControl(control)

| Parameter   | Type                                                      | Description |
| ----------- | --------------------------------------------------------- | ----------- |
| **control** | [Control](https://docs.wisej.com/api?q=wisej.web.control) |             |

### ![](/files/KL0Ik37djZRr8a07Wopd) RunAsyncCore(control)

| Parameter   | Type                                                      | Description |
| ----------- | --------------------------------------------------------- | ----------- |
| **control** | [Control](https://docs.wisej.com/api?q=wisej.web.control) |             |

**Returns:** [Task\<Message>](https://docs.microsoft.com/dotnet/api/system.threading.tasks.task-1).

## Implements

| Name                                                                              | Description                                |
| --------------------------------------------------------------------------------- | ------------------------------------------ |
| [IToolProvider](/ai/components/api/smarttool/wisej.ai.smarttool.itoolprovider.md) | Represents a provider that supplies tools. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/ai/components/api/smartadapter/wisej.ai.adapters.smartaudiowhisperadapter.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
